Summary:	Glide runtime for 3Dfx Voodoo Banshee and Voodoo3 boards
Name:		Glide_V3-DRI
Version:	cvs
Release:	6mdk

Source:		Glide3-20001220.tar.bz2

License:	3dfx Glide General Public License
Group:		System/Libraries
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	XFree86-devel
ExclusiveArch:	%ix86
URL:		http://glide.sourceforge.net/

%description 
This library allows the user to use a 3dfx Interactive Voodoo Banshee
or Voodoo3 card under Linux with DRI support.  The source support DRI
versions of Glide.

# Glide3 DRI
%package devel
Summary:	Development headers for Glide 3.x
Group:		Development/C
Requires:	%name = %version-%release

%description devel
This package includes the headers files necessary for developing
applications that use the 3Dfx Interactive Voodoo3 card.

%prep
%setup -q -n Glide3
libtoolize -f

%build
# Build for v3 with DRI
./chores.3dfx --clean \
	      --generate \
	      --configure="--enable-fx-dri-build \
	                   --enable-fx-glide-hw=h3 \
			   --prefix=%buildroot/%_prefix \
			   --infodir=%_infodir \
			   --mandir=%_mandir" \
	      --build

%install
cd $RPM_BUILD_DIR/Glide3/build
./build.3dfx install

# removed unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/libglide3.la

%clean

%postun
/sbin/ldconfig

%post
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc ChangeLog NEWS README COPYING INSTALL
%_libdir/libglide3.so.3.10.0
%_libdir/libglide3.so.3

%files devel
%defattr(-, root, root)
%dir %_includedir/glide3
%doc AUTHORS
%_includedir/glide3/*
%_libdir/libglide3.a
%_libdir/libglide3.so

%changelog
* Fri Nov 29 2002 Stefan van der Eijk <stefan@eijk.nu> cvs-6mdk
- BuildRequires: XFree86-devel
- remove unpackaged file
- add %%clean

* Fri Feb  8 2002 Jeff Garzik <jgarzik@mandrakesoft.com> cvs-5mdk
- add URL tag
- add %%doc to -devel rpm
- fix source permissions

* Fri Feb  8 2002 Jeff Garzik <jgarzik@mandrakesoft.com> cvs-4mdk
- Fix ia32 build, by running 'libtoolize -f' in %%prep stage

* Mon May 21 2001 Frederic Lepied <flepied@mandrakesoft.com> cvs-3mdk
- updated cvs snapshot to 20001220

* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> cvs-2mdk
- ExclusiveArch: %%ix86
- Spec clean up

* Wed Aug 23 2000 <yoann@mandrakesoft.com> cvs-1mdk
- linux.3dfx.com doesn't distribute Glide RPM / tarball
  containing g3ext.h which is needed to compile XF4.0.1,
  
  This RPM use the Glide CVS tree.
  If something goes wrong, blame the Glide team for not doing release.
